/// @cond EO_CXX_EO_IMPL

inline bool elm::layout::box_remove_all(::efl::eina::string_view part_, bool clear_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_box_remove_all(::efl::eolian::to_c(part_), ::efl::eolian::to_c(clear_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool elm::layout::part_cursor_engine_only_set(::efl::eina::string_view part_name_, bool engine_only_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_part_cursor_engine_only_set(::efl::eolian::to_c(part_name_), ::efl::eolian::to_c(engine_only_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool elm::layout::part_cursor_engine_only_get(::efl::eina::string_view part_name_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_part_cursor_engine_only_get(::efl::eolian::to_c(part_name_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::evas::object elm::layout::table_unpack(::efl::eina::string_view part_, ::evas::object child_) const
{
   Evas_Object * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_table_unpack(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_)));
   return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
}

inline int elm::layout::freeze() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_freeze());
   return _tmp_ret;
}

inline bool elm::layout::theme_enable() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_theme_enable());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::layout::sizing_eval() const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_layout_sizing_eval());
}

inline ::evas::object elm::layout::box_remove(::efl::eina::string_view part_, ::evas::object child_) const
{
   Evas_Object * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_box_remove(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_)));
   return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::layout::sizing_restricted_eval(bool width_, bool height_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_layout_sizing_restricted_eval(::efl::eolian::to_c(width_), ::efl::eolian::to_c(height_)));
}

inline bool elm::layout::part_cursor_style_set(::efl::eina::string_view part_name_, ::efl::eina::string_view style_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_part_cursor_style_set(::efl::eolian::to_c(part_name_), ::efl::eolian::to_c(style_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::efl::eina::string_view elm::layout::part_cursor_style_get(::efl::eina::string_view part_name_) const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_part_cursor_style_get(::efl::eolian::to_c(part_name_)));
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

template <typename F_func_>
inline void elm::layout::signal_callback_add(::efl::eina::string_view emission_, ::efl::eina::string_view source_, F_func_ && func_) const
{
   typedef typename std::remove_reference<F_func_>::type _no_ref_F_func_;
   _no_ref_F_func_* _tmp_func_ = new _no_ref_F_func_(std::forward< F_func_ >(func_));
   eo_do(_concrete_eo_ptr(), eo_event_callback_add(EO_BASE_EVENT_DEL, &::efl::eolian::free_callback_calback<_no_ref_F_func_>, _tmp_func_));

   eo_do(_concrete_eo_ptr(), ::elm_obj_layout_signal_callback_add(::efl::eolian::to_c(emission_), ::efl::eolian::to_c(source_), ::efl::eolian::get_callback<Edje_Signal_Cb, _no_ref_F_func_ >(), _tmp_func_));
}

inline bool elm::layout::part_cursor_set(::efl::eina::string_view part_name_, ::efl::eina::string_view cursor_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_part_cursor_set(::efl::eolian::to_c(part_name_), ::efl::eolian::to_c(cursor_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::efl::eina::string_view elm::layout::part_cursor_get(::efl::eina::string_view part_name_) const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_part_cursor_get(::efl::eolian::to_c(part_name_)));
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool elm::layout::box_insert_before(::efl::eina::string_view part_, ::evas::object child_, ::evas::object reference_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_box_insert_before(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_), ::efl::eolian::to_c(reference_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool elm::layout::box_insert_at(::efl::eina::string_view part_, ::evas::object child_, unsigned int pos_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_box_insert_at(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_), pos_));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool elm::layout::sub_object_add_enable() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_sub_object_add_enable());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::efl::eina::string_view elm::layout::data_get(::efl::eina::string_view key_) const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_data_get(::efl::eolian::to_c(key_)));
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool elm::layout::box_append(::efl::eina::string_view part_, ::evas::object child_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_box_append(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void * elm::layout::signal_callback_del(::efl::eina::string_view emission_, ::efl::eina::string_view source_, Edje_Signal_Cb func_) const
{
   void * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_signal_callback_del(::efl::eolian::to_c(emission_), ::efl::eolian::to_c(source_), func_));
   return _tmp_ret;
}

inline int elm::layout::thaw() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_thaw());
   return _tmp_ret;
}

inline bool elm::layout::box_prepend(::efl::eina::string_view part_, ::evas::object child_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_box_prepend(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::layout::signal_emit(::efl::eina::string_view emission_, ::efl::eina::string_view source_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_layout_signal_emit(::efl::eolian::to_c(emission_), ::efl::eolian::to_c(source_)));
}

inline bool elm::layout::table_pack(::efl::eina::string_view part_, ::evas::object child_, unsigned short col_, unsigned short row_, unsigned short colspan_, unsigned short rowspan_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_table_pack(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_), col_, row_, colspan_, rowspan_));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool elm::layout::part_cursor_unset(::efl::eina::string_view part_name_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_part_cursor_unset(::efl::eolian::to_c(part_name_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool elm::layout::table_clear(::efl::eina::string_view part_, bool clear_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_table_clear(::efl::eolian::to_c(part_), ::efl::eolian::to_c(clear_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool elm::layout::edje_object_can_access_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_edje_object_can_access_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool elm::layout::edje_object_can_access_set(bool can_access_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_edje_object_can_access_set(::efl::eolian::to_c(can_access_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool elm::layout::theme_set(::efl::eina::string_view klass_, ::efl::eina::string_view group_, ::efl::eina::string_view style_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_theme_set(::efl::eolian::to_c(klass_), ::efl::eolian::to_c(group_), ::efl::eolian::to_c(style_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline const Elm_Layout_Part_Alias_Description * elm::layout::text_aliases_get() const
{
   const Elm_Layout_Part_Alias_Description * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_text_aliases_get());
   return _tmp_ret;
}

inline const Elm_Layout_Part_Alias_Description * elm::layout::content_aliases_get() const
{
   const Elm_Layout_Part_Alias_Description * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_content_aliases_get());
   return _tmp_ret;
}

inline ::evas::object elm::layout::edje_get() const
{
   Evas_Object * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_edje_get());
   return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::efl::eina::optional< ::efl::eina::string_view > elm::layout::text_get(::efl::eina::optional< ::efl::eina::string_view > part_) const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_text_get(::efl::eolian::to_c(part_)));
   return ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool elm::layout::text_set(::efl::eina::optional< ::efl::eina::string_view > part_, ::efl::eina::optional< ::efl::eina::string_view > text_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_text_set(::efl::eolian::to_c(part_), ::efl::eolian::to_c(text_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool eo_cxx::elm::layout::box_remove_all(::efl::eina::string_view part_, bool clear_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_box_remove_all(::efl::eolian::to_c(part_), ::efl::eolian::to_c(clear_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool eo_cxx::elm::layout::part_cursor_engine_only_set(::efl::eina::string_view part_name_, bool engine_only_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_part_cursor_engine_only_set(::efl::eolian::to_c(part_name_), ::efl::eolian::to_c(engine_only_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool eo_cxx::elm::layout::part_cursor_engine_only_get(::efl::eina::string_view part_name_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_part_cursor_engine_only_get(::efl::eolian::to_c(part_name_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::evas::object eo_cxx::elm::layout::table_unpack(::efl::eina::string_view part_, ::evas::object child_) const
{
   Evas_Object * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_table_unpack(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_)));
   return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
}

inline int eo_cxx::elm::layout::freeze() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_freeze());
   return _tmp_ret;
}

inline bool eo_cxx::elm::layout::theme_enable() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_theme_enable());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::layout::sizing_eval() const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_layout_sizing_eval());
}

inline ::evas::object eo_cxx::elm::layout::box_remove(::efl::eina::string_view part_, ::evas::object child_) const
{
   Evas_Object * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_box_remove(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_)));
   return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::layout::sizing_restricted_eval(bool width_, bool height_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_layout_sizing_restricted_eval(::efl::eolian::to_c(width_), ::efl::eolian::to_c(height_)));
}

inline bool eo_cxx::elm::layout::part_cursor_style_set(::efl::eina::string_view part_name_, ::efl::eina::string_view style_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_part_cursor_style_set(::efl::eolian::to_c(part_name_), ::efl::eolian::to_c(style_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::efl::eina::string_view eo_cxx::elm::layout::part_cursor_style_get(::efl::eina::string_view part_name_) const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_part_cursor_style_get(::efl::eolian::to_c(part_name_)));
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

template <typename F_func_>
inline void eo_cxx::elm::layout::signal_callback_add(::efl::eina::string_view emission_, ::efl::eina::string_view source_, F_func_ && func_) const
{
   typedef typename std::remove_reference<F_func_>::type _no_ref_F_func_;
   _no_ref_F_func_* _tmp_func_ = new _no_ref_F_func_(std::forward< F_func_ >(func_));
   eo_do(_concrete_eo_ptr(), eo_event_callback_add(EO_BASE_EVENT_DEL, &::efl::eolian::free_callback_calback<_no_ref_F_func_>, _tmp_func_));

   eo_do(_concrete_eo_ptr(), ::elm_obj_layout_signal_callback_add(::efl::eolian::to_c(emission_), ::efl::eolian::to_c(source_), ::efl::eolian::get_callback<Edje_Signal_Cb, _no_ref_F_func_ >(), _tmp_func_));
}

inline bool eo_cxx::elm::layout::part_cursor_set(::efl::eina::string_view part_name_, ::efl::eina::string_view cursor_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_part_cursor_set(::efl::eolian::to_c(part_name_), ::efl::eolian::to_c(cursor_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::efl::eina::string_view eo_cxx::elm::layout::part_cursor_get(::efl::eina::string_view part_name_) const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_part_cursor_get(::efl::eolian::to_c(part_name_)));
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool eo_cxx::elm::layout::box_insert_before(::efl::eina::string_view part_, ::evas::object child_, ::evas::object reference_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_box_insert_before(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_), ::efl::eolian::to_c(reference_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool eo_cxx::elm::layout::box_insert_at(::efl::eina::string_view part_, ::evas::object child_, unsigned int pos_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_box_insert_at(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_), pos_));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool eo_cxx::elm::layout::sub_object_add_enable() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_sub_object_add_enable());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::efl::eina::string_view eo_cxx::elm::layout::data_get(::efl::eina::string_view key_) const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_data_get(::efl::eolian::to_c(key_)));
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool eo_cxx::elm::layout::box_append(::efl::eina::string_view part_, ::evas::object child_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_box_append(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void * eo_cxx::elm::layout::signal_callback_del(::efl::eina::string_view emission_, ::efl::eina::string_view source_, Edje_Signal_Cb func_) const
{
   void * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_signal_callback_del(::efl::eolian::to_c(emission_), ::efl::eolian::to_c(source_), func_));
   return _tmp_ret;
}

inline int eo_cxx::elm::layout::thaw() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_thaw());
   return _tmp_ret;
}

inline bool eo_cxx::elm::layout::box_prepend(::efl::eina::string_view part_, ::evas::object child_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_box_prepend(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::layout::signal_emit(::efl::eina::string_view emission_, ::efl::eina::string_view source_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_layout_signal_emit(::efl::eolian::to_c(emission_), ::efl::eolian::to_c(source_)));
}

inline bool eo_cxx::elm::layout::table_pack(::efl::eina::string_view part_, ::evas::object child_, unsigned short col_, unsigned short row_, unsigned short colspan_, unsigned short rowspan_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_table_pack(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_), col_, row_, colspan_, rowspan_));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool eo_cxx::elm::layout::part_cursor_unset(::efl::eina::string_view part_name_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_part_cursor_unset(::efl::eolian::to_c(part_name_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool eo_cxx::elm::layout::table_clear(::efl::eina::string_view part_, bool clear_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_table_clear(::efl::eolian::to_c(part_), ::efl::eolian::to_c(clear_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool eo_cxx::elm::layout::edje_object_can_access_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_edje_object_can_access_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool eo_cxx::elm::layout::edje_object_can_access_set(bool can_access_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_edje_object_can_access_set(::efl::eolian::to_c(can_access_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool eo_cxx::elm::layout::theme_set(::efl::eina::string_view klass_, ::efl::eina::string_view group_, ::efl::eina::string_view style_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_theme_set(::efl::eolian::to_c(klass_), ::efl::eolian::to_c(group_), ::efl::eolian::to_c(style_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline const Elm_Layout_Part_Alias_Description * eo_cxx::elm::layout::text_aliases_get() const
{
   const Elm_Layout_Part_Alias_Description * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_text_aliases_get());
   return _tmp_ret;
}

inline const Elm_Layout_Part_Alias_Description * eo_cxx::elm::layout::content_aliases_get() const
{
   const Elm_Layout_Part_Alias_Description * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_content_aliases_get());
   return _tmp_ret;
}

inline ::evas::object eo_cxx::elm::layout::edje_get() const
{
   Evas_Object * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_edje_get());
   return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::efl::eina::optional< ::efl::eina::string_view > eo_cxx::elm::layout::text_get(::efl::eina::optional< ::efl::eina::string_view > part_) const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_text_get(::efl::eolian::to_c(part_)));
   return ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool eo_cxx::elm::layout::text_set(::efl::eina::optional< ::efl::eina::string_view > part_, ::efl::eina::optional< ::efl::eina::string_view > text_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_layout_text_set(::efl::eolian::to_c(part_), ::efl::eolian::to_c(text_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::eo_cxx::elm::layout::operator ::elm::layout() const
{
   return *static_cast<::elm::layout const*>(static_cast<void const*>(this));
}

inline ::eo_cxx::elm::layout::operator ::elm::layout&()
{
   return *static_cast<::elm::layout*>(static_cast<void*>(this));
}

inline ::eo_cxx::elm::layout::operator ::elm::layout const&() const
{
   return *static_cast<::elm::layout const*>(static_cast<void const*>(this));
}

template <typename T>
bool elm_layout_box_remove_all_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_, Eina_Bool clear_)
{
   try
      {
         return static_cast<T*>(self->this_)->box_remove_all(::efl::eolian::to_cxx<::efl::eina::string_view>(part_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<bool>(clear_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
bool elm_layout_part_cursor_engine_only_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_name_, Eina_Bool engine_only_)
{
   try
      {
         return static_cast<T*>(self->this_)->part_cursor_engine_only_set(::efl::eolian::to_cxx<::efl::eina::string_view>(part_name_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<bool>(engine_only_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
bool elm_layout_part_cursor_engine_only_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_name_)
{
   try
      {
         return static_cast<T*>(self->this_)->part_cursor_engine_only_get(::efl::eolian::to_cxx<::efl::eina::string_view>(part_name_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
::evas::object elm_layout_table_unpack_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_, Evas_Object * child_)
{
   try
      {
         return static_cast<T*>(self->this_)->table_unpack(::efl::eolian::to_cxx<::efl::eina::string_view>(part_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::evas::object>(child_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Evas_Object * _tmp_ret{};
         return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
int elm_layout_freeze_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->freeze();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         int _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
bool elm_layout_theme_enable_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->theme_enable();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_layout_sizing_eval_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         static_cast<T*>(self->this_)->sizing_eval();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
::evas::object elm_layout_box_remove_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_, Evas_Object * child_)
{
   try
      {
         return static_cast<T*>(self->this_)->box_remove(::efl::eolian::to_cxx<::efl::eina::string_view>(part_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::evas::object>(child_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Evas_Object * _tmp_ret{};
         return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_layout_sizing_restricted_eval_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool width_, Eina_Bool height_)
{
   try
      {
         static_cast<T*>(self->this_)->sizing_restricted_eval(::efl::eolian::to_cxx<bool>(width_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<bool>(height_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_layout_part_cursor_style_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_name_, const char * style_)
{
   try
      {
         return static_cast<T*>(self->this_)->part_cursor_style_set(::efl::eolian::to_cxx<::efl::eina::string_view>(part_name_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::efl::eina::string_view>(style_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
::efl::eina::string_view elm_layout_part_cursor_style_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_name_)
{
   try
      {
         return static_cast<T*>(self->this_)->part_cursor_style_get(::efl::eolian::to_cxx<::efl::eina::string_view>(part_name_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const char * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_layout_signal_callback_add_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * emission_, const char * source_, Edje_Signal_Cb func_, void * data_)
{
   try
      {
         static_cast<T*>(self->this_)->signal_callback_add(::efl::eolian::to_cxx<::efl::eina::string_view>(emission_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::efl::eina::string_view>(source_, std::tuple<std::false_type>()), func_, data_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_layout_part_cursor_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_name_, const char * cursor_)
{
   try
      {
         return static_cast<T*>(self->this_)->part_cursor_set(::efl::eolian::to_cxx<::efl::eina::string_view>(part_name_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::efl::eina::string_view>(cursor_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
::efl::eina::string_view elm_layout_part_cursor_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_name_)
{
   try
      {
         return static_cast<T*>(self->this_)->part_cursor_get(::efl::eolian::to_cxx<::efl::eina::string_view>(part_name_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const char * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
bool elm_layout_box_insert_before_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_, Evas_Object * child_, const Evas_Object * reference_)
{
   try
      {
         return static_cast<T*>(self->this_)->box_insert_before(::efl::eolian::to_cxx<::efl::eina::string_view>(part_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::evas::object>(child_, std::tuple<std::true_type>()), ::efl::eolian::to_cxx<::evas::object>(reference_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
bool elm_layout_box_insert_at_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_, Evas_Object * child_, unsigned int pos_)
{
   try
      {
         return static_cast<T*>(self->this_)->box_insert_at(::efl::eolian::to_cxx<::efl::eina::string_view>(part_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::evas::object>(child_, std::tuple<std::true_type>()), pos_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
bool elm_layout_sub_object_add_enable_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->sub_object_add_enable();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
::efl::eina::string_view elm_layout_data_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * key_)
{
   try
      {
         return static_cast<T*>(self->this_)->data_get(::efl::eolian::to_cxx<::efl::eina::string_view>(key_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const char * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
bool elm_layout_box_append_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_, Evas_Object * child_)
{
   try
      {
         return static_cast<T*>(self->this_)->box_append(::efl::eolian::to_cxx<::efl::eina::string_view>(part_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::evas::object>(child_, std::tuple<std::true_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void * elm_layout_signal_callback_del_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * emission_, const char * source_, Edje_Signal_Cb func_)
{
   try
      {
         return static_cast<T*>(self->this_)->signal_callback_del(::efl::eolian::to_cxx<::efl::eina::string_view>(emission_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::efl::eina::string_view>(source_, std::tuple<std::false_type>()), func_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         void * _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
int elm_layout_thaw_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->thaw();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         int _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
bool elm_layout_box_prepend_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_, Evas_Object * child_)
{
   try
      {
         return static_cast<T*>(self->this_)->box_prepend(::efl::eolian::to_cxx<::efl::eina::string_view>(part_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::evas::object>(child_, std::tuple<std::true_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_layout_signal_emit_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * emission_, const char * source_)
{
   try
      {
         static_cast<T*>(self->this_)->signal_emit(::efl::eolian::to_cxx<::efl::eina::string_view>(emission_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::efl::eina::string_view>(source_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_layout_table_pack_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_, Evas_Object * child_, unsigned short col_, unsigned short row_, unsigned short colspan_, unsigned short rowspan_)
{
   try
      {
         return static_cast<T*>(self->this_)->table_pack(::efl::eolian::to_cxx<::efl::eina::string_view>(part_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::evas::object>(child_, std::tuple<std::true_type>()), col_, row_, colspan_, rowspan_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
bool elm_layout_part_cursor_unset_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_name_)
{
   try
      {
         return static_cast<T*>(self->this_)->part_cursor_unset(::efl::eolian::to_cxx<::efl::eina::string_view>(part_name_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
bool elm_layout_table_clear_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_, Eina_Bool clear_)
{
   try
      {
         return static_cast<T*>(self->this_)->table_clear(::efl::eolian::to_cxx<::efl::eina::string_view>(part_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<bool>(clear_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
bool elm_layout_edje_object_can_access_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->edje_object_can_access_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
bool elm_layout_edje_object_can_access_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool can_access_)
{
   try
      {
         return static_cast<T*>(self->this_)->edje_object_can_access_set(::efl::eolian::to_cxx<bool>(can_access_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
bool elm_layout_theme_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * klass_, const char * group_, const char * style_)
{
   try
      {
         return static_cast<T*>(self->this_)->theme_set(::efl::eolian::to_cxx<::efl::eina::string_view>(klass_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::efl::eina::string_view>(group_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::efl::eina::string_view>(style_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
const Elm_Layout_Part_Alias_Description * elm_layout_text_aliases_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->text_aliases_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const Elm_Layout_Part_Alias_Description * _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
const Elm_Layout_Part_Alias_Description * elm_layout_content_aliases_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->content_aliases_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const Elm_Layout_Part_Alias_Description * _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
::evas::object elm_layout_edje_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->edje_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Evas_Object * _tmp_ret{};
         return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
::efl::eina::optional< ::efl::eina::string_view > elm_layout_text_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_)
{
   try
      {
         return static_cast<T*>(self->this_)->text_get(::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(part_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const char * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
bool elm_layout_text_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * part_, const char * text_)
{
   try
      {
         return static_cast<T*>(self->this_)->text_set(::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(part_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(text_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

namespace efl { namespace eo { namespace detail {

template<>
struct operations< ::elm::layout >
{
   template <typename T>
   struct type
         : virtual operations< ::elm::container >::template type<T>
         , virtual operations< ::efl::file >::template type<T>
   {
      virtual bool box_remove_all(::efl::eina::string_view part_, bool clear_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_box_remove_all(::efl::eolian::to_c(part_), ::efl::eolian::to_c(clear_)));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual bool part_cursor_engine_only_set(::efl::eina::string_view part_name_, bool engine_only_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_part_cursor_engine_only_set(::efl::eolian::to_c(part_name_), ::efl::eolian::to_c(engine_only_)));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual bool part_cursor_engine_only_get(::efl::eina::string_view part_name_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_part_cursor_engine_only_get(::efl::eolian::to_c(part_name_)));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual ::evas::object table_unpack(::efl::eina::string_view part_, ::evas::object child_)
      {
         Evas_Object * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_table_unpack(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_)));
            return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual int freeze()
      {
         int _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_freeze());
            return _tmp_ret;
      }

      virtual bool theme_enable()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_theme_enable());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void sizing_eval()
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_layout_sizing_eval());
      }

      virtual ::evas::object box_remove(::efl::eina::string_view part_, ::evas::object child_)
      {
         Evas_Object * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_box_remove(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_)));
            return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void sizing_restricted_eval(bool width_, bool height_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_layout_sizing_restricted_eval(::efl::eolian::to_c(width_), ::efl::eolian::to_c(height_)));
      }

      virtual bool part_cursor_style_set(::efl::eina::string_view part_name_, ::efl::eina::string_view style_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_part_cursor_style_set(::efl::eolian::to_c(part_name_), ::efl::eolian::to_c(style_)));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual ::efl::eina::string_view part_cursor_style_get(::efl::eina::string_view part_name_)
      {
         const char * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_part_cursor_style_get(::efl::eolian::to_c(part_name_)));
            return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }

      template <typename F_func_>
      void signal_callback_add(::efl::eina::string_view emission_, ::efl::eina::string_view source_, F_func_ && func_)
      {
         typedef typename std::remove_reference<F_func_>::type _no_ref_F_func_;
         _no_ref_F_func_* _tmp_func_ = new _no_ref_F_func_(std::forward< F_func_ >(func_));
         eo_do(dynamic_cast<T*>(this)->_eo_ptr(), eo_event_callback_add(EO_BASE_EVENT_DEL, &::efl::eolian::free_callback_calback<_no_ref_F_func_>, _tmp_func_));


         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_layout_signal_callback_add(::efl::eolian::to_c(emission_), ::efl::eolian::to_c(source_), ::efl::eolian::get_callback<Edje_Signal_Cb, _no_ref_F_func_ >(), _tmp_func_));
      }

      virtual bool part_cursor_set(::efl::eina::string_view part_name_, ::efl::eina::string_view cursor_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_part_cursor_set(::efl::eolian::to_c(part_name_), ::efl::eolian::to_c(cursor_)));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual ::efl::eina::string_view part_cursor_get(::efl::eina::string_view part_name_)
      {
         const char * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_part_cursor_get(::efl::eolian::to_c(part_name_)));
            return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual bool box_insert_before(::efl::eina::string_view part_, ::evas::object child_, ::evas::object reference_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_box_insert_before(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_), ::efl::eolian::to_c(reference_)));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual bool box_insert_at(::efl::eina::string_view part_, ::evas::object child_, unsigned int pos_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_box_insert_at(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_), pos_));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual bool sub_object_add_enable()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_sub_object_add_enable());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual ::efl::eina::string_view data_get(::efl::eina::string_view key_)
      {
         const char * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_data_get(::efl::eolian::to_c(key_)));
            return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual bool box_append(::efl::eina::string_view part_, ::evas::object child_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_box_append(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_)));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void * signal_callback_del(::efl::eina::string_view emission_, ::efl::eina::string_view source_, Edje_Signal_Cb func_)
      {
         void * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_signal_callback_del(::efl::eolian::to_c(emission_), ::efl::eolian::to_c(source_), func_));
            return _tmp_ret;
      }

      virtual int thaw()
      {
         int _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_thaw());
            return _tmp_ret;
      }

      virtual bool box_prepend(::efl::eina::string_view part_, ::evas::object child_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_box_prepend(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_)));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void signal_emit(::efl::eina::string_view emission_, ::efl::eina::string_view source_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_layout_signal_emit(::efl::eolian::to_c(emission_), ::efl::eolian::to_c(source_)));
      }

      virtual bool table_pack(::efl::eina::string_view part_, ::evas::object child_, unsigned short col_, unsigned short row_, unsigned short colspan_, unsigned short rowspan_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_table_pack(::efl::eolian::to_c(part_), ::efl::eolian::to_c(child_), col_, row_, colspan_, rowspan_));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual bool part_cursor_unset(::efl::eina::string_view part_name_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_part_cursor_unset(::efl::eolian::to_c(part_name_)));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual bool table_clear(::efl::eina::string_view part_, bool clear_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_table_clear(::efl::eolian::to_c(part_), ::efl::eolian::to_c(clear_)));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual bool edje_object_can_access_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_edje_object_can_access_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual bool edje_object_can_access_set(bool can_access_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_edje_object_can_access_set(::efl::eolian::to_c(can_access_)));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual bool theme_set(::efl::eina::string_view klass_, ::efl::eina::string_view group_, ::efl::eina::string_view style_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_theme_set(::efl::eolian::to_c(klass_), ::efl::eolian::to_c(group_), ::efl::eolian::to_c(style_)));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual const Elm_Layout_Part_Alias_Description * text_aliases_get()
      {
         const Elm_Layout_Part_Alias_Description * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_text_aliases_get());
            return _tmp_ret;
      }

      virtual const Elm_Layout_Part_Alias_Description * content_aliases_get()
      {
         const Elm_Layout_Part_Alias_Description * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_content_aliases_get());
            return _tmp_ret;
      }

      virtual ::evas::object edje_get()
      {
         Evas_Object * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_edje_get());
            return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual ::efl::eina::optional< ::efl::eina::string_view > text_get(::efl::eina::optional< ::efl::eina::string_view > part_)
      {
         const char * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_text_get(::efl::eolian::to_c(part_)));
            return ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual bool text_set(::efl::eina::optional< ::efl::eina::string_view > part_, ::efl::eina::optional< ::efl::eina::string_view > text_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_layout_text_set(::efl::eolian::to_c(part_), ::efl::eolian::to_c(text_)));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

   };
};


template<>
struct operation_description_class_size< ::elm::layout >
{
   static constexpr int value = 
#if defined(LAYOUT_PROTECTED) && defined(LAYOUT_BETA)
      34
#elif defined(LAYOUT_PROTECTED)
      34
#elif defined(LAYOUT_BETA)
      34
#else
      34
#endif
      + operation_description_class_size<::elm::container >::value      + operation_description_class_size<::efl::file >::value;
};

template <typename T>
int initialize_operation_description(::efl::eo::detail::tag<::elm::layout>
                                 , Eo_Op_Description* ops)
{
   int i = 0;
   (void)i;
   (void)ops;
   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_box_remove_all_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_box_remove_all);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_part_cursor_engine_only_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_part_cursor_engine_only_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_part_cursor_engine_only_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_part_cursor_engine_only_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_table_unpack_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_table_unpack);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_freeze_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_freeze);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_theme_enable_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_theme_enable);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_sizing_eval_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_sizing_eval);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_box_remove_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_box_remove);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_sizing_restricted_eval_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_sizing_restricted_eval);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_part_cursor_style_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_part_cursor_style_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_part_cursor_style_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_part_cursor_style_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_signal_callback_add_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_signal_callback_add);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_part_cursor_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_part_cursor_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_part_cursor_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_part_cursor_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_box_insert_before_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_box_insert_before);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_box_insert_at_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_box_insert_at);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_sub_object_add_enable_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_sub_object_add_enable);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_data_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_data_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_box_append_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_box_append);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_signal_callback_del_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_signal_callback_del);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_thaw_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_thaw);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_box_prepend_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_box_prepend);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_signal_emit_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_signal_emit);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_table_pack_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_table_pack);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_part_cursor_unset_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_part_cursor_unset);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_table_clear_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_table_clear);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_edje_object_can_access_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_edje_object_can_access_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_edje_object_can_access_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_edje_object_can_access_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_theme_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_theme_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_text_aliases_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_text_aliases_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_content_aliases_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_content_aliases_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_edje_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_edje_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_text_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_text_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_layout_text_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_layout_text_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   initialize_operation_description<T>(::efl::eo::detail::tag<::elm::container>(), &ops[operation_description_class_size< ::elm::layout >::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::efl::file>(), &ops[operation_description_class_size< ::elm::layout >::value + operation_description_class_size<::elm::container>::value]);
   return 0;
}
inline Eo_Class const* get_eo_class(tag<::elm::layout>)
{
   return (ELM_LAYOUT_CLASS);
}

} } }

/// @endcond

